import { openBlock as l, createElementBlock as n, createElementVNode as s, toDisplayString as _, renderSlot as r, ref as w, computed as b, normalizeClass as h, unref as c, createVNode as L, withCtx as m, resolveComponent as C, createBlock as k, inject as A, withDirectives as V, isRef as x, vModelDynamic as N, createCommentVNode as f, provide as M, Fragment as B, renderList as D, vModelSelect as U, vModelText as O, useSlots as j, watch as E, normalizeStyle as Z, createTextVNode as F, onMounted as I, withKeys as G, withModifiers as z, vModelCheckbox as R } from "vue";
const H = { class: "cf-action-card" }, X = { class: "cf-action-card__body" }, J = { class: "cf-action-card__title" }, Q = { class: "cf-action-card__body__slot" }, W = { class: "cf-action-card__action" }, ts = {
  __name: "ActionCard",
  props: {
    title: String
  },
  setup(a) {
    const t = a;
    return (e, o) => (l(), n("div", H, [
      s("div", X, [
        s("div", J, _(t.title), 1),
        s("div", Q, [
          r(e.$slots, "body")
        ])
      ]),
      s("div", W, [
        r(e.$slots, "action")
      ])
    ]));
  }
};
const T = (a, t) => {
  const e = a.__vccOpts || a;
  for (const [o, d] of t)
    e[o] = d;
  return e;
}, Y = {}, ee = { class: "cf-app-bar" };
function te(a, t) {
  return l(), n("header", ee, [
    s("div", null, [
      r(a.$slots, "left")
    ]),
    s("div", null, [
      r(a.$slots, "right")
    ])
  ]);
}
const se = /* @__PURE__ */ T(Y, [["render", te]]);
const le = { class: "cf-dropdown-body" }, oe = {
  __name: "Dropdown",
  setup(a) {
    const t = w(!1), e = b(() => ({
      "cf-dropdown": !0,
      "cf-dropdown--open": t.value
    }));
    return (o, d) => (l(), n("div", {
      class: h(c(e))
    }, [
      s("div", {
        class: "cf-dropdown-toggle",
        onClick: d[0] || (d[0] = (i) => t.value = !t.value)
      }, [
        r(o.$slots, "toggle")
      ]),
      s("div", le, [
        r(o.$slots, "body")
      ]),
      s("div", {
        class: "cf-dropdown-backdrop",
        onClick: d[1] || (d[1] = (i) => t.value = !1)
      })
    ], 2));
  }
};
const ae = {
  key: 0,
  class: "cf-app-bar-link"
}, ne = { class: "cf-app-bar-link__label" }, ie = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.15 4.492H1.85l-.354.854 6.15 6.15h.707l6.15-6.15-.353-.854z" })
], -1), de = {
  key: 1,
  class: "cf-app-bar-link"
}, re = { class: "cf-app-bar-link__label" }, ss = {
  __name: "AppBarLink",
  props: {
    dropdown: Boolean
  },
  setup(a) {
    return (t, e) => a.dropdown ? (l(), n("div", ae, [
      L(oe, null, {
        toggle: m(() => [
          s("div", ne, [
            r(t.$slots, "default"),
            ie
          ])
        ]),
        body: m(() => [
          r(t.$slots, "dropdown")
        ]),
        _: 3
      })
    ])) : (l(), n("button", de, [
      s("div", re, [
        r(t.$slots, "default")
      ])
    ]));
  }
};
const ls = {
  __name: "AppBody",
  props: {
    wide: {
      type: Boolean,
      default: !1
    }
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-app-body": !0,
      "cf-app-body--wide": t.wide
    }));
    return (o, d) => (l(), n("div", {
      class: h(c(e))
    }, [
      r(o.$slots, "default")
    ], 2));
  }
};
const os = {
  __name: "Banner",
  props: {
    type: String
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-banner": !0,
      [`cf-banner--${t.type}`]: t.type
    }));
    return (o, d) => (l(), n("div", {
      class: h(c(e))
    }, [
      r(o.$slots, "default")
    ], 2));
  }
}, P = {
  to: {
    type: String,
    default: null
  },
  type: {
    type: String,
    default: "button"
  },
  large: {
    type: Boolean,
    default: !1
  },
  wide: {
    type: Boolean,
    default: !1
  },
  color: {
    type: String,
    default: null
  },
  loading: {
    type: Boolean,
    default: !1
  },
  disabled: {
    type: Boolean,
    default: !1
  }
};
const ue = ["type", "disabled"], as = {
  __name: "FilledButton",
  props: P,
  setup(a) {
    const t = a, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-filled-button": !0,
      [`cf-filled-button--${t.color}`]: t.color
    }));
    return (o, d) => {
      const i = C("router-link");
      return o.to ? (l(), k(i, {
        key: 0,
        class: h(c(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: m(() => [
          r(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (l(), n("button", {
        key: 1,
        class: h(c(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        r(o.$slots, "default")
      ], 10, ue));
    };
  }
};
const ce = ["type", "disabled"], ns = {
  __name: "OutlinedButton",
  props: P,
  setup(a) {
    const t = a, e = b(() => ({
      "cf-button": !0,
      "cf-button--large": t.large,
      "cf-button--wide": t.wide,
      "cf-button--loading": t.loading,
      "cf-button--disabled": t.disabled,
      "cf-outlined-button": !0,
      [`cf-outlined-button--${t.color}`]: t.color
    }));
    return (o, d) => {
      const i = C("router-link");
      return o.to ? (l(), k(i, {
        key: 0,
        class: h(c(e)),
        to: o.to,
        inert: t.disabled
      }, {
        default: m(() => [
          r(o.$slots, "default")
        ]),
        _: 3
      }, 8, ["class", "to", "inert"])) : (l(), n("button", {
        key: 1,
        class: h(c(e)),
        type: t.type,
        disabled: t.disabled
      }, [
        r(o.$slots, "default")
      ], 10, ce));
    };
  }
};
const _e = ["disabled"], is = {
  __name: "TextButton",
  props: {
    to: String,
    disabled: Boolean
  },
  setup(a) {
    const t = a;
    return (e, o) => {
      const d = C("router-link");
      return a.to ? (l(), k(d, {
        key: 0,
        class: "cf-text-button",
        to: a.to,
        inert: t.disabled
      }, {
        default: m(() => [
          r(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["to", "inert"])) : (l(), n("button", {
        key: 1,
        class: "cf-text-button",
        type: "button",
        disabled: t.disabled
      }, [
        r(e.$slots, "default")
      ], 8, _e));
    };
  }
};
const pe = { class: "cf-choice" }, fe = ["type", "id", "name", "value", "true-value", "false-value", "required", "disabled"], ve = ["for"], be = { key: 0 }, me = {
  __name: "Choice",
  props: {
    modelValue: [Number, String, Boolean, Array],
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    type: String,
    label: String,
    helper: String,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = Math.random(), d = {
      name: A("choice-list-name", null),
      required: A("choice-list-required", null)
    }, i = b({
      get() {
        return e.modelValue;
      },
      set(u) {
        t("update:modelValue", u);
      }
    });
    return (u, v) => (l(), n("div", pe, [
      V(s("input", {
        "onUpdate:modelValue": v[0] || (v[0] = ($) => x(i) ? i.value = $ : null),
        type: e.type,
        id: c(o),
        name: d.name,
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        required: d.required,
        disabled: e.disabled
      }, null, 8, fe), [
        [N, c(i)]
      ]),
      s("label", { for: c(o) }, _(e.label || e.value), 9, ve),
      e.helper ? (l(), n("small", be, _(e.helper), 1)) : f("", !0)
    ]));
  }
};
const ye = {
  key: 0,
  class: "cf-choice-list__label"
}, ds = {
  __name: "ChoiceList",
  props: {
    modelValue: [Number, String, Boolean, Array],
    label: String,
    choices: Array,
    multiple: Boolean,
    required: Boolean,
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b(() => ({
      "cf-choice-list": !0,
      "cf-choice-list--disabled": e.disabled
    })), d = b({
      get() {
        return e.modelValue;
      },
      set(i) {
        t("update:modelValue", i);
      }
    });
    return M("choice-list-name", Math.random()), M("choice-list-required", e.required), (i, u) => (l(), n("div", {
      class: h(c(o))
    }, [
      e.label ? (l(), n("div", ye, _(e.label), 1)) : f("", !0),
      (l(!0), n(B, null, D(a.choices, (v) => (l(), k(me, {
        key: v.value || v,
        type: e.multiple ? "checkbox" : "radio",
        label: v.label || v.value || v,
        helper: v.helper,
        value: v.value || v,
        disabled: e.disabled,
        modelValue: c(d),
        "onUpdate:modelValue": u[0] || (u[0] = ($) => x(d) ? d.value = $ : null)
      }, null, 8, ["type", "label", "helper", "value", "disabled", "modelValue"]))), 128))
    ], 2));
  }
};
const he = { class: "cf-field" }, ge = ["required", "disabled"], $e = {
  key: 0,
  value: null
}, ke = ["value"], we = ["required", "disabled"], Se = ["type", "placeholder", "list", "required", "disabled"], xe = {
  key: 3,
  class: "cf-field__prefix"
}, Be = {
  key: 4,
  class: "cf-field__suffix"
}, Ce = { key: 5 }, Ve = { key: 6 }, De = /* @__PURE__ */ s("div", { class: "cf-field__outline" }, null, -1), ze = {
  __name: "Field",
  props: {
    modelValue: [Number, String],
    type: String,
    label: String,
    placeholder: String,
    prefix: String,
    suffix: String,
    options: Array,
    list: String,
    helper: String,
    disabled: Boolean,
    required: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b({
      get() {
        return e.modelValue;
      },
      set(d) {
        t("update:modelValue", d);
      }
    });
    return (d, i) => (l(), n("div", he, [
      e.type === "select" ? V((l(), n("select", {
        key: 0,
        class: "cf-field__input",
        "onUpdate:modelValue": i[0] || (i[0] = (u) => x(o) ? o.value = u : null),
        required: e.required,
        disabled: e.disabled
      }, [
        !e.required && e.options.length ? (l(), n("option", $e)) : f("", !0),
        (l(!0), n(B, null, D(e.options, (u) => (l(), n("option", {
          key: u.value || u,
          value: u.value || u
        }, _(u.label || u), 9, ke))), 128))
      ], 8, ge)), [
        [U, c(o)]
      ]) : e.type === "textarea" ? V((l(), n("textarea", {
        key: 1,
        class: "cf-field__input",
        "onUpdate:modelValue": i[1] || (i[1] = (u) => x(o) ? o.value = u : null),
        required: e.required,
        disabled: e.disabled
      }, null, 8, we)), [
        [O, c(o)]
      ]) : V((l(), n("input", {
        key: 2,
        class: "cf-field__input",
        "onUpdate:modelValue": i[2] || (i[2] = (u) => x(o) ? o.value = u : null),
        type: e.type,
        placeholder: e.placeholder,
        list: e.list,
        required: e.required,
        disabled: e.disabled
      }, null, 8, Se)), [
        [N, c(o)]
      ]),
      e.prefix && !["select", "textarea"].includes(e.type) ? (l(), n("div", xe, _(e.prefix), 1)) : f("", !0),
      e.suffix && !["select", "textarea"].includes(e.type) ? (l(), n("div", Be, _(e.suffix), 1)) : f("", !0),
      e.label ? (l(), n("label", Ce, _(e.label), 1)) : f("", !0),
      e.helper ? (l(), n("small", Ve, _(e.helper), 1)) : f("", !0),
      De
    ]));
  }
};
const Le = { class: "cf-data-table-item" }, qe = {
  key: 0,
  class: "cf-data-table-item__drawer"
}, Ae = { class: "cf-data-table-item__content" }, Me = ["data-label"], Ne = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), Fe = [
  Ne
], Ie = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), Te = {
  __name: "DataTableItem",
  props: {
    data: Object,
    expandable: Boolean
  },
  setup(a) {
    const t = a, e = A("columns", []), o = w(!1);
    return (d, i) => {
      const u = C("router-link");
      return l(), n("div", Le, [
        o.value ? (l(), n("div", qe, [
          r(d.$slots, "default", {
            item: t.data
          })
        ])) : f("", !0),
        s("div", Ae, [
          (l(!0), n(B, null, D(c(e), (v) => (l(), n("div", {
            key: v.key,
            "data-label": v.label
          }, _(a.data[v.key]), 9, Me))), 128))
        ]),
        t.expandable ? (l(), n("button", {
          key: 1,
          class: "cf-data-table-item__toggle",
          onClick: i[0] || (i[0] = (v) => o.value = !o.value)
        }, Fe)) : f("", !0),
        t.data.to ? (l(), k(u, {
          key: 2,
          class: "cf-data-table-item__toggle",
          to: t.data.to
        }, {
          default: m(() => [
            Ie
          ]),
          _: 1
        }, 8, ["to"])) : f("", !0),
        t.expandable && o.value ? (l(), n("div", {
          key: 3,
          class: "cf-data-table-item__backdrop",
          onClick: i[1] || (i[1] = (v) => o.value = !1)
        })) : f("", !0)
      ]);
    };
  }
};
const Pe = { class: "cf-data-table" }, Ke = { class: "cf-data-table__header" }, Ue = { class: "cf-data-table__header__content" }, Oe = {
  key: 0,
  class: "cf-data-table__title"
}, je = {
  key: 1,
  class: "cf-data-table__description"
}, Ee = {
  key: 2,
  class: "cf-data-table__search"
}, Ze = {
  key: 3,
  class: "cf-data-table__actions"
}, Ge = {
  key: 0,
  class: "cf-data-table__header__slot"
}, Re = { class: "cf-data-table__body__header" }, He = { class: "cf-data-table__body__items" }, Xe = {
  key: 0,
  class: "cf-data-table__footer"
}, Je = { class: "cf-data-table__footer__pagination" }, Qe = ["disabled"], We = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M11.022 14.503L4.518 8l6.504-6.504.707.707L5.932 8l5.797 5.796-.707.707z" })
], -1), Ye = [
  We
], et = ["disabled"], tt = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M4.99 14.503l-.707-.707L10.08 8 4.283 2.203l.707-.707L11.494 8 4.99 14.503z" })
], -1), st = [
  tt
], lt = { key: 0 }, rs = {
  __name: "DataTable",
  props: {
    title: String,
    description: String,
    expandable: Boolean,
    paginate: {
      type: Boolean,
      default: !0
    },
    searchKey: String,
    pluralTerm: {
      type: String,
      default: "items"
    },
    itemKey: String,
    pageSize: {
      type: [Number, String],
      default: 10
    },
    columns: {
      type: Array,
      default: []
    },
    data: {
      type: Array,
      default: []
    }
  },
  setup(a) {
    const t = a, e = j(), o = w(""), d = b(() => t.data.filter((p) => {
      if (o.value) {
        const S = p[t.searchKey].replaceAll(" ", "").toLowerCase(), g = o.value.replaceAll(" ", "").toLowerCase();
        return S.includes(g);
      } else
        return !0;
    })), i = w(1), u = b(() => Math.ceil(d.value.length / parseInt(t.pageSize))), v = b(() => {
      const p = i.value < u.value ? i.value * t.pageSize : d.value.length;
      return {
        start: (i.value - 1) * t.pageSize + 1,
        end: p
      };
    }), $ = b(() => t.paginate ? d.value.slice(
      (i.value - 1) * parseInt(t.pageSize),
      i.value * parseInt(t.pageSize)
    ) : d.value), q = () => {
      i.value < u.value && i.value++;
    }, y = () => {
      i.value > 1 && i.value--;
    };
    return E(o, () => {
      i.value > 1 && (i.value = 1);
    }), M("columns", t.columns), (p, S) => (l(), n("div", Pe, [
      s("div", Ke, [
        s("div", Ue, [
          t.title ? (l(), n("div", Oe, _(t.title), 1)) : f("", !0),
          t.description ? (l(), n("div", je, _(t.description), 1)) : f("", !0),
          t.searchKey ? (l(), n("div", Ee, [
            L(ze, {
              modelValue: o.value,
              "onUpdate:modelValue": S[0] || (S[0] = (g) => o.value = g),
              type: "text",
              label: "Search"
            }, null, 8, ["modelValue"])
          ])) : f("", !0),
          c(e).actions ? (l(), n("div", Ze, [
            r(p.$slots, "actions")
          ])) : f("", !0)
        ]),
        c(e).header ? (l(), n("div", Ge, [
          r(p.$slots, "header")
        ])) : f("", !0)
      ]),
      s("div", {
        class: "cf-data-table__body",
        style: Z(`--columns: ${t.columns.length}`)
      }, [
        s("div", Re, [
          (l(!0), n(B, null, D(t.columns, (g) => (l(), n("div", {
            key: g.key
          }, _(g.label), 1))), 128))
        ]),
        s("div", He, [
          (l(!0), n(B, null, D(c($), (g) => (l(), k(Te, {
            key: g._id || g[t.itemKey],
            data: g,
            expandable: t.expandable
          }, {
            default: m((K) => [
              r(p.$slots, "item-drawer", {
                item: K.item
              })
            ]),
            _: 2
          }, 1032, ["data", "expandable"]))), 128))
        ])
      ], 4),
      t.paginate ? (l(), n("div", Xe, [
        s("div", Je, [
          s("button", {
            disabled: i.value <= 1,
            onClick: y
          }, Ye, 8, Qe),
          s("button", {
            disabled: i.value >= c(u),
            onClick: q
          }, st, 8, et),
          c(d).length ? (l(), n("div", lt, [
            s("b", null, _(`${c(v).start} to ${c(v).end}`), 1),
            F(" of "),
            s("b", null, _(c(d).length), 1)
          ])) : f("", !0)
        ])
      ])) : f("", !0)
    ]));
  }
};
const ot = { class: "cf-sidebar-nav" }, at = /* @__PURE__ */ s("hr", null, null, -1), nt = /* @__PURE__ */ s("span", { class: "material-symbols-outlined" }, null, -1), it = /* @__PURE__ */ s("span", null, "Collapse sidebar", -1), dt = [
  nt,
  it
], rt = {
  __name: "Sidebar",
  setup(a) {
    const t = w(!1), e = b(() => ({
      "cf-sidebar": !0,
      "cf-sidebar--toggled": t.value
    }));
    return (o, d) => (l(), n("aside", {
      class: h(c(e))
    }, [
      s("nav", ot, [
        r(o.$slots, "default"),
        at
      ]),
      s("button", {
        class: "cf-sidebar-toggle",
        onClick: d[0] || (d[0] = (i) => t.value = !t.value)
      }, dt)
    ], 2));
  }
};
const us = {
  __name: "DefaultLayout",
  setup(a) {
    return I(() => {
      document.body.dataset.layout = "default";
    }), (t, e) => (l(), n(B, null, [
      L(se, null, {
        left: m(() => [
          r(t.$slots, "brand")
        ]),
        right: m(() => [
          r(t.$slots, "navigation")
        ]),
        _: 3
      }),
      L(rt, null, {
        default: m(() => [
          r(t.$slots, "sidebar")
        ]),
        _: 3
      }),
      s("main", null, [
        r(t.$slots, "main")
      ])
    ], 64));
  }
};
const ut = { class: "cf-dialog-header" }, ct = { class: "cf-dialog__title" }, _t = { key: 0 }, pt = { class: "cf-dialog-body" }, ft = { class: "cf-dialog-footer" }, vt = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "16",
  height: "16"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), bt = [
  vt
], cs = {
  __name: "Dialog",
  props: {
    title: String,
    description: String
  },
  emits: ["close"],
  setup(a, { emit: t }) {
    const e = a, o = w(null);
    return I(() => o.value.showModal()), (d, i) => (l(), n("dialog", {
      class: "cf-dialog",
      ref_key: "dialog",
      ref: o,
      onKeyup: i[1] || (i[1] = G((u) => t("close"), ["delete"]))
    }, [
      s("div", ut, [
        s("div", ct, _(e.title), 1),
        e.description ? (l(), n("div", _t, _(e.description), 1)) : f("", !0)
      ]),
      s("div", pt, [
        r(d.$slots, "body")
      ]),
      s("div", ft, [
        r(d.$slots, "footer")
      ]),
      s("button", {
        class: "cf-dialog-close",
        onClick: i[0] || (i[0] = (u) => t("close"))
      }, bt)
    ], 544));
  }
};
const mt = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, yt = { class: "material-symbols-outlined" }, ht = { class: "cf-dropdown-item__label" }, gt = {
  key: 0,
  class: "cf-dropdown-item__icon"
}, $t = { class: "material-symbols-outlined" }, kt = { class: "cf-dropdown-item__label" }, _s = {
  __name: "DropdownItem",
  props: {
    icon: String,
    to: String,
    large: Boolean
  },
  setup(a) {
    const t = a, e = b(() => ({
      "cf-dropdown-item": !0,
      "cf-dropdown-item--large": t.large
    }));
    return (o, d) => {
      const i = C("router-link");
      return a.to ? (l(), k(i, {
        key: 1,
        class: h(c(e)),
        to: a.to
      }, {
        default: m(() => [
          a.icon ? (l(), n("div", gt, [
            s("span", $t, _(a.icon), 1)
          ])) : f("", !0),
          s("div", kt, [
            r(o.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["class", "to"])) : (l(), n("button", {
        key: 0,
        class: h(c(e))
      }, [
        a.icon ? (l(), n("div", mt, [
          s("span", yt, _(a.icon), 1)
        ])) : f("", !0),
        s("div", ht, [
          r(o.$slots, "default")
        ])
      ], 2));
    };
  }
};
const wt = { class: "cf-drop-zone" }, St = ["onDrop"], xt = { class: "cf-drop-zone-box__label" }, Bt = { class: "cf-drop-zone-box__action" }, Ct = /* @__PURE__ */ s("span", null, "select from device", -1), Vt = ["required"], Dt = {
  key: 0,
  class: "cf-drop-zone-box__helper"
}, zt = {
  key: 1,
  class: "cf-drop-zone-list"
}, Lt = /* @__PURE__ */ s("div", { class: "cf-drop-zone-list__header" }, null, -1), qt = { class: "cf-drop-zone-list__item" }, At = /* @__PURE__ */ s("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 16 16",
  width: "12",
  height: "12"
}, [
  /* @__PURE__ */ s("path", { d: "M14.34 13.605L8.696 8.023l5.582-5.645-.71-.703-5.583 5.644L2.34 1.737l-.703.711L7.282 8.03 1.7 13.675l.71.703 5.583-5.645 5.644 5.583.703-.711z" })
], -1), Mt = [
  At
], ps = {
  __name: "DropZone",
  props: {
    modelValue: File,
    label: {
      type: String,
      default: "Add your file here."
    },
    max: {
      type: [Number, String],
      default: 0
    },
    accept: String,
    required: {
      type: Boolean,
      default: !1
    }
  },
  emits: ["update:modelValue", "add", "cancel"],
  setup(a, { emit: t }) {
    const e = a, o = w(null), d = b(() => !!(e.required && !e.modelValue)), i = b(() => {
      if (e.modelValue) {
        const p = (e.modelValue.size / 1048576).toFixed(0), S = (p / 1e3).toFixed(1);
        return p < 100 ? `${p} MB` : `${S} GB`;
      } else
        return "0 MB";
    }), u = (y) => {
      const p = y.target.files[0];
      $(p);
    }, v = (y) => {
      const p = y.dataTransfer.files[0];
      $(p);
    }, $ = (y) => {
      const p = parseInt(e.max) * 1048576;
      p && p < y.size ? (o.value.value = "", alert(`File cannot exceed ${e.max} MB`)) : (t("update:modelValue", y), t("add", y));
    }, q = () => {
      t("update:modelValue", null), t("cancel");
    };
    return (y, p) => (l(), n("div", wt, [
      a.modelValue ? (l(), n("div", zt, [
        Lt,
        s("div", qt, [
          s("div", null, _(e.modelValue.name), 1),
          s("div", null, _(c(i)), 1),
          s("button", { onClick: q }, Mt)
        ])
      ])) : (l(), n("div", {
        key: 0,
        class: "cf-drop-zone-box",
        onDrop: z(v, ["prevent"]),
        onDragenter: p[0] || (p[0] = z(() => {
        }, ["prevent"])),
        onDragover: p[1] || (p[1] = z(() => {
        }, ["prevent"])),
        onDragleave: p[2] || (p[2] = z(() => {
        }, ["prevent"]))
      }, [
        s("div", xt, _(e.label), 1),
        s("label", Bt, [
          F(" Drag and drop or "),
          Ct,
          s("input", {
            type: "file",
            ref_key: "input",
            ref: o,
            required: c(d),
            onChange: u
          }, null, 40, Vt)
        ]),
        e.max ? (l(), n("div", Dt, " Files larger than " + _(e.max) + " MB cannot be uploaded ", 1)) : f("", !0)
      ], 40, St))
    ]));
  }
};
const Nt = ["value", "max"], fs = {
  __name: "Progress",
  props: {
    value: {
      type: [Number, String],
      default: 0
    },
    max: {
      type: [Number, String],
      default: 100
    }
  },
  setup(a) {
    const t = a;
    return (e, o) => (l(), n("progress", {
      class: "cf-progress",
      value: t.value,
      max: t.max
    }, _(a.value) + "% ", 9, Nt));
  }
};
const Ft = { class: "cf-sidebar-link__icon" }, It = { class: "material-symbols-outlined" }, Tt = { class: "cf-sidebar-link__label" }, Pt = ["href"], Kt = { class: "cf-sidebar-link__icon" }, Ut = { class: "material-symbols-outlined" }, Ot = { class: "cf-sidebar-link__label" }, vs = {
  __name: "SidebarLink",
  props: {
    to: String,
    href: String,
    icon: String
  },
  setup(a) {
    const t = a;
    return (e, o) => {
      const d = C("router-link");
      return a.to ? (l(), k(d, {
        key: 0,
        class: "cf-sidebar-link",
        to: t.to
      }, {
        default: m(() => [
          s("div", Ft, [
            s("span", It, _(a.icon), 1)
          ]),
          s("div", Tt, [
            r(e.$slots, "default")
          ])
        ]),
        _: 3
      }, 8, ["to"])) : (l(), n("a", {
        key: 1,
        class: "cf-sidebar-link",
        href: a.href
      }, [
        s("div", Kt, [
          s("span", Ut, _(a.icon), 1)
        ]),
        s("div", Ot, [
          r(e.$slots, "default")
        ])
      ], 8, Pt));
    };
  }
};
const jt = {}, Et = { class: "cf-spinner" }, Zt = /* @__PURE__ */ s("div", null, null, -1), Gt = /* @__PURE__ */ s("div", null, null, -1), Rt = /* @__PURE__ */ s("div", null, null, -1), Ht = /* @__PURE__ */ s("div", null, null, -1), Xt = [
  Zt,
  Gt,
  Rt,
  Ht
];
function Jt(a, t) {
  return l(), n("div", Et, Xt);
}
const bs = /* @__PURE__ */ T(jt, [["render", Jt]]);
const Qt = { class: "cf-switch" }, Wt = ["value", "true-value", "false-value", "disabled"], Yt = {
  key: 0,
  class: "cf-switch__label"
}, ms = {
  __name: "Switch",
  props: {
    modelValue: [Number, String, Boolean],
    label: String,
    value: [Number, String, Boolean],
    trueValue: {
      type: [Number, String, Boolean],
      default: !0
    },
    falseValue: {
      type: [Number, String, Boolean],
      default: !1
    },
    disabled: Boolean
  },
  emits: ["update:modelValue"],
  setup(a, { emit: t }) {
    const e = a, o = b({
      get() {
        return e.modelValue;
      },
      set(d) {
        t("update:modelValue", d);
      }
    });
    return (d, i) => (l(), n("div", Qt, [
      V(s("input", {
        class: "cf-switch__box",
        "onUpdate:modelValue": i[0] || (i[0] = (u) => x(o) ? o.value = u : null),
        type: "checkbox",
        value: e.value,
        "true-value": e.trueValue,
        "false-value": e.falseValue,
        disabled: e.disabled
      }, null, 8, Wt), [
        [R, c(o)]
      ]),
      e.label ? (l(), n("div", Yt, _(e.label), 1)) : f("", !0)
    ]));
  }
};
export {
  ts as CfActionCard,
  se as CfAppBar,
  ss as CfAppBarLink,
  ls as CfAppBody,
  os as CfBanner,
  me as CfChoice,
  ds as CfChoiceList,
  rs as CfDataTable,
  us as CfDefaultLayout,
  cs as CfDialog,
  ps as CfDropZone,
  oe as CfDropdown,
  _s as CfDropdownItem,
  ze as CfField,
  as as CfFilledButton,
  ns as CfOutlinedButton,
  fs as CfProgress,
  rt as CfSidebar,
  vs as CfSidebarLink,
  bs as CfSpinner,
  ms as CfSwitch,
  is as CfTextButton
};
